Hardware and Software Compatibility Specifications

2
Hardware and Software Compatibility Specifications
Formerly known as product architecture stack (PAS) requirements.
This release supports the minimum versions of third-party software listed on this page. When the third-party software receives upgrades, there is a strong likelihood for compatibility; however, new third-party software cannot be guaranteed to remain compatible. For example, let's assume this release of
Clarity
supports version 1.1 of third-party software. Three weeks later, you might be able to apply 1.1.1 or 1.2 without incident; however, 1.3 and 2.0 might fail and require that you roll back to 1.2 or apply a workaround while waiting for a third-party patch.
Specifications: Hardware Requirements (On-Premise only)
See
Clarity
Architecture and Sizing Recommendations
in
Installing and Upgrading
.
Specifications:
Clarity
Application Server Operating System (OS) (On-Premise only)
The following table specifies the minimum supported 64-bit operating system (OS) versions for
Clarity
application and background servers.
Clarity
is supported on any localized version of the supported operating systems. Only the patches, service packs, and updates for the specified versions are also supported.
  • Certified
    platforms are fully tested and supported.
  • Compatible
    platforms are partially tested, tested in prior releases, or noted as a downstream compatible distribution.
Operating System
Minimum Version
Support Type
Microsoft Windows Server
Windows Server 2019
Compatible
2016 Standard or Datacenter
Certified
Red Hat Enterprise Linux
64-bit
7u6
Certified
Oracle Enterprise Linux (OEL)
7u6
Compatible
CentOS
7u6
Compatible
SUSE Linux Enterprise Server
64-bit
(SLES)
12 SP1 or 15.0
Compatible
*Both are supported. The next official release of SUSE Linux Enterprise Server jumped from 12.0 to 15.0 in 2018.
Specifications:
Clarity
Components
The following table specifies the supported components for this release of
Clarity
.
Component
Version
Virtualization
(1)
Database
(1)
  • Oracle Standard/Enterprise Edition 19c or higher patch level
  • Oracle 19c multi-tenant
  • Oracle Standard/Enterprise Edition12.2.0.1.x or higher patch level
  • PostgreSQL 11.5
Linux
: Database RUR 12.2.0.1.171017 patch 26518812 (supersedes patch 22502456 PSU 12.2.0.1) or higher
Windows
: 32-bit and x86-64 BP 12.2.0.1.171017 patch 26758841 (supersedes patch 22839608 Windows DB Bundle 12.2.0.1) or higher
  • Microsoft SQL Server 2019 Enterprise CU9
  • Microsoft SQL Server 2017
  • Microsoft SQL Server 2017 Enterprise (CU-21) (Full Mode)
  • Microsoft SQL Server 2016 Enterprise Edition: Service Pack 2 or higher (higher is associated with service pack) - Supported only for existing customers upgrading to
    Clarity
    15.9.2
Support for conversion of
Clarity
installations between database vendors is not provided by Broadcom. Customers performing such conversions do so at their own risk.
You might also need to upgrade to a temporary intermediary release of
Clarity
before
you can upgrade your database. See the sample scenarios in
Upgrade Enhancements
in the Change Impact and Upgrade Guide.
Database Interface
Clarity
DataDirect Type 6.0 Drivers for Oracle and SQL Server (included in the
Clarity
distribution media)
Java
AdoptOpenJDK 11.0.10+9
Application Server
(2)
Apache Tomcat 8.5.63 or higher patch level (64-bit)
Report Server
(3)
JasperReports Server 7.8 available exclusively as
CA Business Intelligence Jaspersoft Reports Server 7.8 for
Clarity
Mail Server
Any SMTP/IMAPI/POP3 mail server can be used.
Clarity
does not explicitly support any one vendor.
Table Notes:
Databases can be run on any vendor-supported platform. Production databases are only supported on virtualized architectures that are supported by Oracle and Microsoft product architecture stacks. Customers who use architecture platforms that are not specified by Oracle or Microsoft have limited support.
Clarity
Support determines which problems on an unsupported platform are repeatable on a supported platform and which problems are already defined as known problems.
    1. Oracle Real Application Cluster (RAC), Oracle encryption, and multi-tenancy are supported.
    2. Where (x) represents the patch level supported. (For example, say the product supports 12.1.0.2.x. A new 12.1.0.2.3 version is supported; however, 12.1.0.3 is a new release and is
      not
      inherently supported).
    3. SQL Server Named Instances is supported. SQL Server Clustering is supported with manual intervention after a database failure to restart failed background processes. Microsoft SQL Server
      Always On
      mode is not supported.
    4. Any Microsoft SQL Server deployment that expands beyond 10,000 users must be approved. Due to Microsoft SQL Server online transaction processing (OLTP) scale limitations with products like
      Clarity
      , we recommend Oracle.
    5. Customers in large high-throughput environments with virtualized architectures might observe possible performance issues. For better performance in virtual environments, use RHEL or OEL.
    6. Starting with database 12.2.0.1, Oracle changed their patch model from Patch Set Updates (PSU) and Proactive Bundle Patches (BP) to Release Updates (RU) and Release Update Revisions (RUR).
2.
Clarity
is supported on any localized version of the supported application servers.
3.
Clarity
does not support Jaspersoft Flash charts. Jaspersoft Enterprise includes OLAP server but
Clarity
does not support OLAP server.
Specifications: Products Included With
Clarity
(On-Premise only)
The following table specifies the third-party software that is licensed and shipped with
Clarity
. The following software is included on the
Clarity
Install Media, DVD Master that is available in the Support Download Center.
Component
Notes
Java
AdoptOpenJDK for all supported operating systems.
Application Server
Apache Tomcat for all supported operating systems.
Report Server
Jaspersoft Server 7.8
Specifications: JasperReports Server Operating System
The following table specifies the minimum supported OS for application and background servers running the Jaspersoft report server software.
  • Certified
    platforms are fully tested and supported.
  • Compatible
    platforms are partially tested, tested in prior releases, or noted as a downstream compatible distribution.
OS
Version
Support Type
Windows Server 64-bit
Windows Server 2019
Compatible
2016 Standard or Datacenter
Certified
2012 Standard or Datacenter
Certified
2012 R2 Standard or Datacenter
Compatible
Red Hat (RHEL) 64-bit
7u6
Certified
6u10
Compatible
Oracle Enterprise Linux (OEL) 64-bit
7u6
Compatible
CentOS 64-bit
7u6
Compatible
SUSE Linux Enterprise Server 64–bit
12 SP1 or 15.0*
Compatible
*Both are supported. The next official release of SUSE Linux Enterprise Server jumped from 12.0 to 15.0 in 2018. We support only the listed versions and configurations of Jaspersoft integrated with
Clarity
.
  • No other configurations, including Jaspersoft versions and configurations that are supported directly by TIBCO, are supported.
  • Jaspersoft is supported on localized versions of supported operating systems.
  • Jaspersoft on RHEL, OEL, CentOS, or SUSE connecting to a Microsoft SQL Server database is not currently supported.
  • Future patches, service packs, and updates of the listed versions are supported; however, certain updates may no longer be compatible. We cannot guarantee third-party compatibility for future updates.
Specifications: Jaspersoft Components
The following table shows the supported database, Java runtime environment, application server, report server, and mail server for Jaspersoft.
Component
Version
Database
(1)
  • Oracle Standard/Enterprise Edition 19c
  • Oracle Standard/Enterprise Edition12.2.0.1.x or higher patch level
  • Microsoft SQL Server 2019
  • Microsoft SQL Server 2017
  • Microsoft SQL Server 2016 Enterprise Edition: Service Pack 2 or higher
  • Microsoft SQL Server 2014 Enterprise Edition: Service Pack 2 or higher
  • PostgreSQL 11.5 (On-Premise and SaaS)
Java Runtime
(2)
  • AdoptOpenJDK 11.0.10+9
  • Oracle Java 8 with JDK 1.8.201
Application Server
(3)
  • Apache  Tomcat 9.0.37 (64-bit)
Report Server
(4)
  • JasperReports Server 7.8
Mail Server
  • Any SMTP mail server can be used. Jaspersoft does not explicitly support any one vendor.
Table Notes:
  1. If you are on the
    Clarity
    SaaS GCP
    , then the PostgreSQL database is used. In this scenario, HDP is set up to use PostgreSQL 11.5.
  2. Databases can be run on any vendor-supported platform. Production databases are only supported on virtualized architectures that are supported by Oracle and Microsoft product architecture stacks. Customers who use architecture platforms that are not specified by Oracle or Microsoft will have limited support. Our Support team determines whether a problem on an unsupported platform is either reproducible on a supported platform or already defined as a known problem.
    1. Future patch levels might work but are
      not
      inherently supported.
    2. SQL Server
      Named Instances
      are supported. SQL Server
      Clustering
      is supported with manual intervention after a database failure to restart failed background processes.
    3. Any Microsoft SQL Server deployment that expands beyond 10,000 reporting users must be approved. Typically, Oracle is a requirement due to scalability limitations associated with Microsoft SQL Server and how it handles OLTP (Online Transaction Processing) products like
      Clarity
      .
    4. Customers in large high-throughput environments with virtualized architectures might observe possible performance issues. For better performance in virtual environments, use RHEL or OEL.
  3. We recommend running the latest patch level.
  4. Jaspersoft is supported on localized versions of supported application servers. Due to a performance issue with Apache Tomcat 8.5.31 (we observed high CPU and memory utilization during independent tests), we reverted our recommendation to 8.5.30, which yielded better response times.
  5. Clarity
    does not support Jaspersoft flash charts. Jaspersoft Enterprise includes OLAP Server but
    Clarity
    does not support OLAP Server.
Specifications: Integrated Servers
The following table specifies the supported software for servers integrating with
Clarity
.
Software
Version
Single Sign-On Server
CA Single Sign-On 12.52 SP01 CR01
CA Single Sign-On 12.51 CR05
LDAP Server
Supports any LDAP v3 compliant directory servers such as CA Directory, Microsoft Active Directory, NetIQ eDirectory, Oracle Internet Directory, and Oracle Directory Server.
(We do not support LDAP Active Directory with multiple domains.)
Agile Applications
Rally
SaaS Enterprise or Unlimited
Enterprise edition is supported only when you purchase Portfolio Manager and only with WSAPI 3.0 or higher. Integrations with on-premise editions of
Rally
are no longer supported.
Specifications: Client-Side Components
The following table specifies the minimum supported software for client computers accessing
Clarity
. All software supports 32-bit or 64-bit architectures unless stated otherwise.
Software
Microsoft Windows
Apple Mac OS
Desktop Linux
OS
  • Windows 8.1, or 10, all editions
  • Mac OS X; Release 10.11.2
  • Any vendor or version with support for browsers listed under the Web Browsers section
Web Browsers
  • Internet Explorer  11.0.9600.19431 (
    Classic PPM
    only except when the Phoenix UI theme is applied; IE 11 is not supported with
    Clarity
    or Phoenix UI theme) (11)
  • Firefox 87 or higher (2)
  • Google Chrome 88 or higher (2)
  • Microsoft Edge Chromium 90
  • Safari 14.0.3 (7)
  • Google Chrome 88 or higher (2)
  • Firefox 87 or higher (2)
  • Microsoft Edge Chromium 90
  • Google Chrome 88 or higher (2)
Client Applications
(1)
  • Microsoft Office 365 ProPlus (9)
  • Microsoft Excel 2016 all editions (5)
  • Microsoft PowerPoint 2016 and 2019 all editions (5)
  • Microsoft Project 2016 and 2019 all editions (4)
  • Adobe Acrobat Reader 10 or higher (7)
  • CA Open Workbench 2.1.2 (9)
  • Adobe Acrobat Reader 10 (8)
  • Microsoft Excel 2016 for Mac
  • Microsoft PowerPoint 2016 for Mac
  • No Microsoft Project
    support
  • No Open Workbench support
  • Adobe Acrobat Reader 10 (8)
  • No Excel Export support
  • No Microsoft Project support
  • No Open Workbench support
Client Reporting Tools
  • Jaspersoft 7.9 with CA JDBC Adapter
  • Jaspersoft 7.9 with CA JDBC Adapter
  • Jaspersoft 7.9 with CA JDBC Adapter
Third-party SOAP Integration Toolkits
  • Microsoft Visual Studio 2013 (.NET Framework 4.5.1) or Microsoft Visual Studio 2017 (.NET Framework 4.6)
  • Not Applicable
  • Not Applicable
Table Notes
:
  1. Using multiple versions of third-party software concurrently is not supported and can cause out-of-sync and compatibility issues. We support only the versions of third-party software that the vendor supports.
  2. New Firefox, Chrome, and Microsoft Edge releases
    might
    be supported with minimal testing after being released.
  3. CA JDBC Adapter is required for report developers to connect to the
    Clarity
    transactional or data warehouse database without a VPN connection.
  4. The Microsoft Project (MSP) interface requires .NET Framework 4.5.1 or higher. MSP support now includes C2R editions/Project Online Client Desktop of 2016 and 2019, and either 32-bit or 64-bit editions. However, MSP Online browser edition is not supported. Note the following other limitations:
    1. Microsoft Project 2016 MSI is only supported with the required Microsoft patches. The C2R edition does not require patches. MSP 2016 MSI requires Microsoft patches. Updated supported patch information is also available from CA Support. It’s recommended to be on the latest Microsoft Project Update found at https://support.microsoft.com.
    2. For
      Clarity
      project dependency data to export completely to the Predecessors column in MSP with the new driver, verify that that the same language (for example, Spanish) is selected in the OS, MSP application, and the Language Format in the Windows control panel.
  5. Microsoft Office 365 (2016 or newer)/Project Online Client Desktop is supported including the Click-to-Run (C2R) virtualization option. Microsoft Project Online browser-based version of Microsoft Project is not supported.
  6. Support Type of
    Compatible
    .
  7. To view reports that are exported in PDF format.
  8. The following limitation applies to users of Excel Online. In a
    Clarity
    list or portlet, you cannot use the Export to Excel (Data Only) option. Office365 and Excel Online cannot read the XLS output file. Users might see the following Excel Online error:
    There is something in your workbook that we don't understand
    . Use Export to Excel instead of Export to Excel (Data Only). If you require Export to Excel (Data Only), use the Excel client application Save As command to save the file as XLS, XLSX, or CSV and then post to OneDrive or SharePoint. Excel Online can now open the file.
  9. Open Workbench is supported on Windows 10; however, mobile devices, tablets, and hybrid devices such as Surface Pro are not supported due to screen resolution constraints.
  10. Since Release 15.4,
    Clarity
    no longer supports Microsoft Internet Explorer 11 (IE 11).
    Classic PPM
    still supports IE 11 for backward compatibility; however,
    Classic PPM
    with the Phoenix UI theme applied does not support IE 11. Microsoft is only making select security updates to IE 11. To achieve the best performance, we recommend updating to a newer browser such as Firefox, Chrome, or Edge. Microsoft Windows 10 includes Microsoft Edge, a faster, newer, and more productive web browser. Microsoft recommends using Microsoft Edge as your default browser and is only supporting IE11 for backward compatibility. Using the optional Enterprise Mode,
    Clarity
    customers at organizations that still require IE 11 can use Microsoft Edge as their default browser while also ensuring that legacy applications continue working on IE11. To learn more, contact your IT department and the browser life cycle information provided online by Microsoft.
Starting with
Clarity
15.4.1, web applications, integrations, browsers, OS, and network settings for access to
Clarity
SaaS must support TLS 1.2. All browser requirements for
Clarity
already meet this minimum standard. Chrome 30, Firefox 27, Safari 7, Edge, and even IE 11 have already supported TLS 1.2 for several years.
Specifications:
Clarity
Mobile Apps
The following table specifies the mobile operating system (OS) platforms that are supported
exclusively
for the following mobile apps.
Apple iOS
Google Android OS
Clarity
Mobile App 3.0
(2)
13.0 or higher
9 or higher
Clarity
Mobile Time Manager App 2.0
(2)
10.3.3 or higher
Not supported
JasperMobile App
(3)
Set by TIBCO
Set by TIBCO
  • Support for iOS 13.0 was added in
    Clarity
    15.8.
  • Mobile OS support is only for these named mobile apps. The robust enterprise feature-set of
    Clarity
    including
    Clarity
    does not fully support mobile operating systems. However, we are aware of some customers using some of the new features on mobile devices with limited or no support available.
  • Update your mobile device to the latest supported OS. For example, your mobile tablet might support Android OS 6.0.1 while your phone supports Android OS 8.1. If a new update for iOS or Android OS is available for your device, install it to protect your device with the latest security fixes.
  • Compatible for use with
    Clarity
    but not certified or supported by CA (Broadcom); this app is provided by TIBCO, makers of Jaspersoft.
Specifications: Compatible Add-Ins
The following add-ins, accelerators, and connector versions are compatible with this release:
Add-in, Accelerator, or Connector
Version
PMO Accelerator
15.9.2
Application Portfolio Management (APM) Add-in
15.9.2
Agile Add-In
15.9.2
Earned Value Manager
End of Life
Accelerator for PRINCE2
End of Life
Accelerator for the PMBOK
End of Life
Accelerator for New Product Development
End of Life
Clarity
SaaS Integration Adaptor
End of Life
Specifications: Summary of Changes in
Clarity
15.9.2
No changes
Component
Description
Server Java
  • Updated support for AdoptOpenJDK 11.0.10+9
OS
  • Removed Windows Server 2012R and 2012
Products Included
  • AdoptOpenJDK 11.0.10+9
  • PostgreSQL 11.5
Integrated Servers
  • No changes
Mobile OS for
Clarity
Mobile Time Manager
  • No changes
Database Server
  • Added support for Microsoft SQL Server 2019 Enterprise, CU9
  • Added support for Postgres 11.5 for
    Clarity
    and Jaspersoft on-premise
Application Server
  • Tomcat 8.5.63
Report Server
  • Jaspersoft 7.8
Client Browsers
  • Updated support for new releases of Firefox, Edge, and Chrome browsers
Client Applications
  • No changes
Rally
(formerly Rally)
  • No changes
International Support
An
internationalized
product is an English language product with an architecture that supports operation on local language versions of the required operating system and required third-party products, and that supports local language data for input and output. Internationalized products also support the ability to specify local language conventions for date, time, currency, and number formats. A
translated
product (sometimes referred to as a
localized
product) is an internationalized product that includes local language support for the user interface of the product and local language default settings for date, time, currency, and number formats.
The English version of
Clarity
is now localized in these six core languages:
  • French
  • German
  • Spanish
  • Brazilian Portuguese
  • Italian
  • Japanese
JasperSoft Advanced Reporting feature is available in English, Simplified Chinese, and the six core languages listed above for
Clarity
.
Jaspersoft Studio is available only in English or Italian.
Clarity
,
Classic PPM
user interface, and online help documentation are available in the following languages:
S.No
Language
Classic PPM
Clarity
Online Help
1
Brazilian Portuguese
yes
yes
yes
2
Catalan
no
no
no
3
Czech
no
no
no
4
Danish
no
no
no
5
Dutch
no
no
no
6
English
yes
yes
yes
7
Finnish
no
no
no
8
French
yes
yes
yes
9
German
yes
yes
yes
10
Hungarian
no
no
no
11
Italian
yes
yes
yes
12
Japanese
yes
yes
yes
13
Korean
no
no
no
14
Norwegian
no
no
no
15
Polish
no
no
no
16
Russian
no
no
no
17
Simplified Chinese
no
no
no
18
Spanish
yes
yes
yes
19
Swedish
no
no
no
20
Traditional Chinese
no
no
no
21
Turkish
no
no
no
The localized online help is a subset of the full English documentation. No login is required to view the public portion of online help for business users. The full documentation set is only available in English and requires that users register and log in to view all content (public and restricted).